﻿@model ContactInfoViewModel
@{
    bool IsMarried = ViewBag.IsMarried;
    string ClientFirstName = ViewBag.ClientFirstName;
    string SpouseFirstName = ViewBag.SpouseFirstName;
}
<form asp-action="savecontactinfo" asp-controller="personal" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_clientinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <div class="d-flex justify-content-between mb-5">
        <div>
            <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Please share your contact information</h4>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <div class="row">
            <div class="col-xl-5">
                <div class="form-group">
                    <label asp-for="Address"></label>
                    <input asp-for="Address" class="form-control form-control-lg capitalize">
                    <span asp-validation-for="Address" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-5">
                <div class="form-group">
                    <label asp-for="Address2"></label>
                    <input asp-for="Address2" class="form-control form-control-lg capitalize">
                </div>
            </div>
            <div class="col-xl-2">
                <div class="form-group">
                    <label asp-for="POBox"></label>
                    <input asp-for="POBox" class="form-control form-control-lg zipcode">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="ZipCode"></label>
                    <input asp-for="ZipCode" class="form-control form-control-lg zipcode">
                    <span asp-validation-for="ZipCode" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4 address d-none">
                <div class="form-group">
                    <label asp-for="State"></label>
                    <input asp-for="State" class="form-control form-control-lg">
                    <span asp-validation-for="State" class="text-danger"></span>
                </div>
            </div>
            <div class="col-xl-4 address d-none">
                <div class="form-group">
                    <label asp-for="City"></label>
                    <input asp-for="City" class="form-control form-control-lg">
                    <span asp-validation-for="City" class="text-danger"></span>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="Phone"></label>
                    <input asp-for="Phone" class="form-control form-control-lg phone">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="CellNumber">@ClientFirstName's Mobile/Cell Phone</label>
                    <input asp-for="CellNumber" class="form-control form-control-lg phone">
                </div>
            </div>
            <div class="col-xl-8">
                <div class="form-group">
                    <label asp-for="Email">@ClientFirstName's Email Address</label>
                    <div class="row">
                        <div class="col-xl-9 col-md-12 disabled-div">
                            <input asp-for="Email" class="form-control form-control-lg disabled" value="@ViewBag.Email">
                        </div>
                        <label class="col-xl-3 col-md-5 col-form-label"><a href="javascript:" class="font-weight-bolder" id="change-email-btn">Change Email</a></label>
                    </div>
                </div>
            </div>
        </div>
        @if (IsMarried)
        {
            <div class="row">
                <div class="col-xl-4">
                    <div class="form-group">
                        <label asp-for="SpouseCellNumber">@SpouseFirstName's Mobile/Cell Phone</label>
                        <input asp-for="SpouseCellNumber" class="form-control form-control-lg phone">
                    </div>
                </div>
                <div class="col-xl-6">
                    <div class="form-group">
                        <label asp-for="SpouseEmail">@SpouseFirstName's Email Address</label>
                        <input asp-for="SpouseEmail" class="form-control form-control-lg">
                        <span asp-validation-for="SpouseEmail" class="text-danger"></span>
                    </div>
                </div>
            </div>
        }
    </div>
    <partial name="_WizardFooter" />
</form>
<div class="modal" id="ChangeEmailModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script src="~/js/page/contact-info.js" asp-append-version="true"></script>
<script>
    var zipcode = $("#ZipCode").val();
    showHideZip(zipcode);
</script>